Reveal Webhook Secret

View as Markdown
Reveal the signing secret for a webhook endpoint.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

external_idstringRequired
account_idstringRequired

Response

Successful Response
idstring
Unique webhook endpoint identifier
urlstring
The URL receiving webhook events
eventslist of strings
List of subscribed event types
is_activeboolean
Whether the webhook endpoint is active
is_protectedboolean
Whether the webhook endpoint is protected from deletion
is_blacklistedboolean
Whether the webhook endpoint is blacklisted due to consecutive delivery failures
consecutive_failuresinteger

Number of consecutive delivery failures (resets on success)

created_atdatetime
When the webhook endpoint was created
updated_atdatetime
When the webhook endpoint was last updated
signing_secretstring
Signing secret for verifying webhook payloads
descriptionstring or nullOptional
Webhook endpoint description
blacklisted_atdatetime or nullOptional

When the webhook endpoint was blacklisted (null if not blacklisted)

last_failed_deliveryobject or nullOptional

Information about the last failed delivery (only included for blacklisted endpoints)

Errors

422
Unprocessable Entity Error